# 第二章 WLAN 和固有的不安全性

> 作者：Vivek Ramachandran, Cameron Buchanan

> 译者：[飞龙](https://github.com/)

> 协议：[CC BY-NC-SA 4.0](http://creativecommons.org/licenses/by-nc-sa/4.0/)

## 简介

> 建筑越高，地基就要打得越深。

> -- 托马斯·坎佩斯

没有什么伟大的东西能在脆弱的基础上构建。在我们的语境中，固有的不安全性之上不能构建出安全。

WLAN 在设计上拥有特定的不安全性，它们可被轻易利用，例如，通过封包注入，以及嗅探（能够在很远处进行）。我们会在这一章利用这些缺陷。

## 2.1 回顾 WLAN 帧

由于这本书处理无线方面的安全，我们假设你已经对协议和封包的头部有了基本的了解。没有的话，或者你离开无线有很长时间了，现在是个好机会来回顾这个话题。

让我们现在快速复习一些 WLAN 的基本概念，大多数你可能已经知道了。在 WLAN 中，通信以帧的方式进行，一帧会拥有下列头部结构：

![](img/2-1-1.jpg)

`Frame Control`字段本身拥有更复杂的结构：

![](img/2-1-2.jpg)

类型字段定义了下列三种 WLAN 帧：

1.  管理帧：管理帧负责维护接入点和无线客户端之间的通信。管理帧拥有下列子类型：

    +   验证
    +   解除验证
    +   关联请求
    +   关联响应
    +   重关联请求
    +   重关联响应
    +   解除关联
    +   信标
    +   探测请求
    +   探测响应
    
2.  控制帧：控制帧负责确保数据在接入点和无线客户端之间合理交换。控制帧拥有下列子类型：

    +   请求发送（RTS）
    +   清除发送（CTS）
    +   确认（ACK）
    
3.  数据帧：数据帧携带在无线网络上发送的真实数据。它没有子类型。

我们在之后的章节中讨论不同攻击的时候，会讨论这些帧中每一种的安全隐患。

我们现在看一看如何使用 Wireshark 嗅探无线网络上的这些帧。也有其他工具 -- 例如 Airodump-NG，Tcpdump，或者 Tshark -- 你同样可以用于嗅探。我们在这本书中多数情况会使用 Wireshark，但是我们推荐你探索其它工具。第一步是创建监控模式的接口。这会为你的适配器创建接口，使我们可以读取空气中的所有无线帧，无论它们的目标是不是我们。在有线的世界中，这通常叫做混合模式。

### 实战时间 -- 创建监控模式的接口

让我们现在将无线网卡设为监控模式。

遵循下列指南来开始：

1.  启动 Kali 并使适配器保持连接。一旦你打开了控制台，输入`iwconfig`并确保网卡被检测到，驱动被正确加载。

    ![](img/2-2-1.jpg)
    
2.  使用`ifconfig wlan1 up`命令启动网卡（其中`wlan1`是你的适配器）。通过运行`ifconfig wlan1`验证网卡是否正在运行。你应该在输出的第二行看到单词`UP`，像这样：

    ![](img/2-2-2.jpg)
    
3.  为了将网卡设为监控模式，我们使用`airmon-ng `，它在 Kali 中自带。首先执行`airmon-ng `命令来确认它检测到了可用的网卡。你应该能看到输出中列出的`wlan1`接口：

    ![](img/2-2-3.jpg)
    
4.  现在输入`airmon-ng start wlan1 `命令来创建对应`wlan1`设备的监控模式接口。新的监控模式接口名为`mon0`。（你可以再次不带参数使用`airmon-ng `来验证。）

    ![](img/2-2-4.jpg)
    
5.  同样，运行`ifconfig mon0`会展示叫做`mon0`的新接口。

### 刚刚发生了什么？

我们成功创建了叫做`mon0`的监控模式接口。这个接口用于嗅探空气中的无线封包。这个接口已经在我们的无线适配器中创建了。

### 试一试 -- 创建多个监控模式接口

可以创建多个监控模式的接口，使用相同的物理网卡。使用 airmon-ng 工具来看看如何完成。

太棒了！我们拥有了监控模式接口，等待从空气中读取一些封包。所以让我们开始吧。

下一个练习中，我们会使用 Wireshark 和刚刚创建的`mon0`监控器模式接口，从空气中嗅探封包。
